package cz.muni.fi.pb162.encyclopedia;

/**
 * Weighting = vazeni
 */

public interface Weighting {

    /**
     *  Vypise na std. vystup informace o objektech setridene podle hmotnosti.
     *  Vstupni pole 'objects' se nemeni!
     *  
     *  @param objects pole objektu majicich hmotnost
     */
    public void printSorted(Heavy[] objects);

    
    /**
     * @param objects (nesetridene) pole hmotnosti
     * @return nejmensi hmotnost nebo -1 pri chybe
     */
    public float minWeight(Heavy[] objects);
}
